SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000558SOGoBackend Calendarpublic2010-04-10 12:032010-08-25 17:00
Reporterdstevick 
Assigned Toludovic 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.2.1 
Target VersionFixed in Version1.3.2 
Summary0000558: SOGo demo server is blocking iPhone app access via CalDAV
DescriptionI have been advertising SOGo support for the eTask task app on the iPhone for some time now. Recently I get an error that says that sogo does not support my "browser" (etask) and recommend using FireFox. I correctly advertise my app as etask in the http header.

I get this error on the test server at: http://sogo-demo.inverse.ca/SOGo [^]

This must be a recent change and prevents a very important business productivity app on the iPhone from accessing tasks on your server.
Additional InformationUnfortunately I will have to remove my statement of support for SOGo until this is resolved. I really like SOGo and recommend it to folks looking for a full featured collaboration server for business.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0001247)
ludovic (administrator)
2010-07-27 13:22

What was the URL you told your users to use?

If it was /SOGo/so/... it is WRONG. You must use /SOGo/dav/... so that there will be not "user-agent checks".
(0001251)
dstevick (reporter)
2010-07-27 19:03

The URL we use for testing is: http://sogo-demo.inverse.ca/SOGo/dav/sogo1/Calendar/personal [^]

This does have the /dav in the path. I did another check today and it appears to be working again. Something must have changed since April.

Thanks,

Dean
User avatar (0001252)
ludovic (administrator)
2010-07-27 19:04

Ok thanks for the update. I can safely close the ticket?
User avatar (0001353)
ludovic (administrator)
2010-08-25 17:00

No feedback received, but all seems ok.

- Issue History
Date Modified Username Field Change
2010-04-10 12:03 dstevick New Issue
2010-07-27 13:22 ludovic Note Added: 0001247
2010-07-27 19:03 dstevick Note Added: 0001251
2010-07-27 19:04 ludovic Note Added: 0001252
2010-08-25 17:00 ludovic Note Added: 0001353
2010-08-25 17:00 ludovic Status new => resolved
2010-08-25 17:00 ludovic Fixed in Version => 1.3.2
2010-08-25 17:00 ludovic Resolution open => fixed
2010-08-25 17:00 ludovic Assigned To => ludovic


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker